/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { Base, String_$type, markType } from "./type";
import { Dictionary$2 } from "./Dictionary$2";
import { ListPanelContentRebindEventArgsDescription } from "./ListPanelContentRebindEventArgsDescription";
/**
 * @hidden
 */
export let ListPanelContentRebindEventArgsDescriptionMetadata = /*@__PURE__*/ (() => {
    class ListPanelContentRebindEventArgsDescriptionMetadata extends Base {
        static b(a) {
            if (ListPanelContentRebindEventArgsDescriptionMetadata.a == null) {
                ListPanelContentRebindEventArgsDescriptionMetadata.a = new Dictionary$2(String_$type, String_$type, 0);
                ListPanelContentRebindEventArgsDescriptionMetadata.c(ListPanelContentRebindEventArgsDescriptionMetadata.a);
            }
            if (a.k(ListPanelContentRebindEventArgsDescriptionMetadata.a)) {
                return;
            }
            a.ac(ListPanelContentRebindEventArgsDescriptionMetadata.a);
        }
        static c(a) {
            a.item("RowObjectRef", "(w:RowObject,wf:RowObject)DataRef");
        }
        static d(a) {
            ListPanelContentRebindEventArgsDescriptionMetadata.b(a);
            a.ae("ListPanelContentRebindEventArgs", () => new ListPanelContentRebindEventArgsDescription());
            a.ad("ListPanelContentRebindEventArgs", ListPanelContentRebindEventArgsDescriptionMetadata.a);
        }
    }
    ListPanelContentRebindEventArgsDescriptionMetadata.$t = /*@__PURE__*/ markType(ListPanelContentRebindEventArgsDescriptionMetadata, 'ListPanelContentRebindEventArgsDescriptionMetadata');
    ListPanelContentRebindEventArgsDescriptionMetadata.a = null;
    return ListPanelContentRebindEventArgsDescriptionMetadata;
})();
